# List Container Registry Auth - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpu-instance-list-container-registry-auth

# List Container Registry Auth

GET

/

gpu-instance

/

openapi

/

v1

/

repository

/

auths

Try it

List Container Registry Auth

cURL

```
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/repository/auths \
--header 'Authorization: ' \
--header 'Content-Type: '
```

```
import requests

url = "https://api.novita.ai/gpu-instance/openapi/v1/repository/auths"

headers = {
"Content-Type": "",
"Authorization": ""
}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {
method: 'GET',
headers: {'Content-Type': '', Authorization: ''}
};

fetch('https://api.novita.ai/gpu-instance/openapi/v1/repository/auths', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.novita.ai/gpu-instance/openapi/v1/repository/auths",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: ",
"Content-Type: "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.novita.ai/gpu-instance/openapi/v1/repository/auths"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Content-Type", "")
req.Header.Add("Authorization", "")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.get("https://api.novita.ai/gpu-instance/openapi/v1/repository/auths")
.header("Content-Type", "")
.header("Authorization", "")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.novita.ai/gpu-instance/openapi/v1/repository/auths")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Content-Type"] = ''
request["Authorization"] = ''

response = http.request(request)
puts response.read_body
```

200

```
{
"data": [
{
"id": "",
"name": "",
"username": "",
"password": ""
}
]
}
```

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#response)

Response

[​](#param-data)

data

object[]

Show properties

[​](#param-id)

id

string

[​](#param-name)

name

string

[​](#param-username)

username

string

[​](#param-password)

password

string

##

[​](#example)

Example

Request

```
curl --request GET \
--url 'https://api.novita.ai/gpu-instance/openapi/v1/repository/auths' \
--header 'Authorization: Bearer {{API Key}}'
```

Response

```
{
"data": [
{
"id": "75irlsvvsehnqdajg2r481mjk54ecodc",
"name": "test",
"username": "uuuu",
"password": "1111"
},
{
"id": "eih4rdk77avum5lyau291w1i54zd897w",
"name": "test",
"username": "uuuu",
"password": "1111"
}
]
}
```

Last modified on December 23, 2024
